XmInstallImage(3)

NAME
XmInstallImage — A pixmap caching function that adds an image to the image cache

SYNOPSIS

#include <Xm/Xm.h>
Boolean XmInstallImage(
XImage * image,
char * image_name);

DESCRIPTION

XmInstallImage stores an image in an image cache that can later be used to generate a pixmap. Part of the installation process is to extend the resource converter used to reference these images. The resource converter is given the image name so that the image can be referenced in a .Xdefaults file. Since an image can be referenced by a widget through its pixmap resources, it is up to the application to ensure that the image is installed before the widget is created.

image
    Points to the image structure to be installed. The installation process does not make a local copy of the image. Therefore, the application should not destroy the image until it is uninstalled from the caching functions.

image_name
    Specifies a string that the application uses to name the image. After installation, this name can be used in .Xdefaults for referencing the image. A local copy of the name is created by the image caching functions.

The image caching functions provide a set of eight preinstalled images. These names can be used within a .Xdefaults file for generating pixmaps for the resource for which they are provided.

RETURN

Returns True when successful; returns False if NULL image, NULL image_name, or duplicate image_name is used as a parameter value.

RELATED

XmUninstallImage(3), XmGetPixmap(3), and XmDestroyPixmap(3).